/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package data;

import java.util.HashMap;

/**
 *
 * @author smuRf
 */
public class InstrumentStatics {
    public static final HashMap<String, Integer> instruments;
    static
    {
        instruments = new HashMap<>();
        instruments.put("AAH", 52);
        instruments.put("ABASS", 32);
        instruments.put("AC_GUITAR", 24);
        instruments.put("ACCORDION", 21);
        instruments.put("ACOUSTIC_BASS", 32);
        instruments.put("ACOUSTIC_GRAND", 0);
        instruments.put("ACOUSTIC_GUITAR", 24);
        instruments.put("AGOGO", 113);
        instruments.put("AHHS", 52);
        instruments.put("ALTO", 65);
        instruments.put("ALTO_SAX", 65);
        instruments.put("ALTO_SAXOPHONE", 65);
        instruments.put("APPLAUSE", 126);
        instruments.put("ATMOSPHERE", 99);
        instruments.put("BAG_PIPES", 109);
        instruments.put("BAGPIPE", 109);
        instruments.put("BAGPIPES", 109);
        instruments.put("BANDNEON", 23);
        instruments.put("BANJO", 105);
        instruments.put("BARI", 67);
        instruments.put("BARI_SAX", 67);
        instruments.put("BARITONE", 67);
        instruments.put("BARITONE_SAX", 67);
        instruments.put("BARITONE_SAXOPHONE", 67);
        instruments.put("BASS", 33);
        instruments.put("BASSOON", 70);
        instruments.put("BELL", 112);
        instruments.put("BELLS", 112);
        instruments.put("BIRD", 123);
        instruments.put("BOTTLE", 76);
        instruments.put("BOTTLE_BLOW", 76);
        instruments.put("BOWED_GLASS", 92);
        instruments.put("BRASS", 61);
        instruments.put("BREATH", 121);
        instruments.put("BREATHNOISE", 121);
        instruments.put("BRIGHT_ACOUSTIC", 1);
        instruments.put("BRIGHTNESS", 100);
        instruments.put("CALLOPE", 82);
        instruments.put("CELESTA", 8);
        instruments.put("CELESTE", 8);
        instruments.put("CELLO", 42);
        instruments.put("CGUITAR", 27);
        instruments.put("CHARANG", 84);
        instruments.put("CHIFFER", 83);
        instruments.put("CHIFFER_LEAD", 83);
        instruments.put("CHOIR", 52);
        instruments.put("CHURCH_ORGAN", 19);
        instruments.put("CLAR", 71);
        instruments.put("CLARINET", 71);
        instruments.put("CLAV", 7);
        instruments.put("CLAVINET", 7);
        instruments.put("CLEAN_GUITAR", 27);
        instruments.put("CONCERTINA", 21);
        instruments.put("CONTRA_BASS", 43);
        instruments.put("CONTRABASS", 43);
        instruments.put("CRYSTAL", 98);
        instruments.put("CYMBAL", 119);
        instruments.put("DGUITAR", 30);
        instruments.put("DIST_GUITAR", 30);
        instruments.put("DISTORTED_GUITAR", 30);
        instruments.put("DOUBLE_BASS", 43);
        instruments.put("DROPS", 102);
        instruments.put("DRUM", 116);
        instruments.put("DX_EPIANO", 5);
        instruments.put("EBASS", 33);
        instruments.put("ECHO", 102);
        instruments.put("ECHO_DROP", 102);
        instruments.put("ECHO_DROPS", 102);
        instruments.put("ECHOS", 102);
        instruments.put("EL_BASS", 33);
        instruments.put("EL_GUITAR", 27);
        instruments.put("ELECTRIC_BASS", 33);
        instruments.put("ELECTRIC_GRAND", 2);
        instruments.put("ELECTRIC_GUITAR", 27);
        instruments.put("ELECTRIC_ORGAN", 16);
        instruments.put("ELECTRIC_PIANO", 4);
        instruments.put("ELPIANO", 4);
        instruments.put("ENGLISH_HORN", 69);
        instruments.put("EPIANO", 4);
        instruments.put("EPIANO2", 5);
        instruments.put("FANTASIA", 88);
        instruments.put("FBASS", 33);
        instruments.put("FIDDLE", 110);
        instruments.put("FINGERED_BASS", 33);
        instruments.put("FLUTE", 73);
        instruments.put("FRENCH_HORN", 60);
        instruments.put("FRET", 120);
        instruments.put("FRET_NOISE", 120);
        instruments.put("FRETLESS", 35);
        instruments.put("FRETLESS_BASS", 35);
        instruments.put("FRETNOISE", 120);
        instruments.put("FRETS", 120);
        instruments.put("GLOCK", 9);
        instruments.put("GLOCKENSPIEL", 9);
        instruments.put("GMSAW_WAVE", 81);
        instruments.put("GMSQUARE_WAVE", 80);
        instruments.put("GOBLIN", 101);
        instruments.put("GT_HARMONICS", 31);
        instruments.put("GUITAR", 24);
        instruments.put("GUITAR_HARMONICS", 31);
        instruments.put("GUNSHOT", 127);
        instruments.put("HALO", 94);
        instruments.put("HALO_PAD", 94);
        instruments.put("HAMMOND_ORGAN", 17);
        instruments.put("HARMONICA", 22);
        instruments.put("HARMONICS", 31);
        instruments.put("HARP", 46);
        instruments.put("HARPSICHORD", 6);
        instruments.put("HELICOPTER", 125);
        instruments.put("HONKYTONK", 3);
        instruments.put("HONKYTONK_PIANO", 3);
        instruments.put("HORN", 60);
        instruments.put("ICE_RAIN", 96);
        instruments.put("ICERAIN", 96);
        instruments.put("JAZZ_GUITAR", 26);
        instruments.put("JAZZ_ORGAN", 17);
        instruments.put("JGUITAR", 26);
        instruments.put("KALIMBA", 108);
        instruments.put("KOTO", 107);
        instruments.put("MARIMBA", 12);
        instruments.put("METAL_PAD", 93);
        instruments.put("MGUITAR", 28);
        instruments.put("MUSIC_BOX", 10);
        instruments.put("MUTED_GUITAR", 28);
        instruments.put("MUTED_TRUMPET", 59);
        instruments.put("NGUITAR", 24);
        instruments.put("NYLON_GUITAR", 24);
        instruments.put("OBOE", 68);
        instruments.put("OCARINA", 79);
        instruments.put("OGUITAR", 29);
        instruments.put("OOH", 53);
        instruments.put("OOHS", 53);
        instruments.put("ORCHESTRA_HIT", 55);
        instruments.put("ORGAN", 16);
        instruments.put("ORGAN2", 17);
        instruments.put("ORGAN3", 18);
        instruments.put("OVERDRIVE_GUITAR", 29);
        instruments.put("PAD", 89);
        instruments.put("PAN_FLUTE", 75);
        instruments.put("PANFLUTE", 75);
        instruments.put("PBASS", 34);
        instruments.put("PHONE", 124);
        instruments.put("PIANO", 0);
        instruments.put("PIANO_ACCORDION", 21);
        instruments.put("PIC", 72);
        instruments.put("PICC", 72);
        instruments.put("PICCOLO", 72);
        instruments.put("PICKED_BASS", 34);
        instruments.put("PIPE_ORGAN", 19);
        instruments.put("PIPES", 109);
        instruments.put("PITZ", 45);
        instruments.put("PIZZ", 45);
        instruments.put("PIZZICATO_STRINGS", 45);
        instruments.put("POLY_SYNTH", 90);
        instruments.put("POLYSYNTH", 90);
        instruments.put("PSTRINGS", 45);
        instruments.put("RAIN", 122);
        instruments.put("RECORDER", 74);
        instruments.put("REED_ORGAN", 20);
        instruments.put("REVERSE_CYMBAL", 119);
        instruments.put("RHODES", 4);
        instruments.put("SAW", 81);
        instruments.put("SAWTOOTH", 81);
        instruments.put("SAX", 66);
        instruments.put("SAXOPHONE", 66);
        instruments.put("SBASS", 36);
        instruments.put("SEA", 122);
        instruments.put("SEASHORE", 122);
        instruments.put("SFX", 122);
        instruments.put("SGUITAR", 25);
        instruments.put("SHAKUHACHI", 77);
        instruments.put("SHAMISEN", 106);
        instruments.put("SHANNAI", 111);
        instruments.put("SITAR", 104);
        instruments.put("SLAP", 36);
        instruments.put("SLAP_BASS", 36);
        instruments.put("SLAP_BASS_1", 36);
        instruments.put("SLAP_BASS_2", 37);
        instruments.put("SLOW_STRINGS", 51);
        instruments.put("SOLO_VOX", 85);
        instruments.put("SOP", 64);
        instruments.put("SOPRANO", 64);
        instruments.put("SOPRANO_SAX", 64);
        instruments.put("SOPRANO_SAXOPHONE", 64);
        instruments.put("SOUNDEFFECTS", 122);
        instruments.put("SOUNDFX", 122);
        instruments.put("SOUNDTRACK", 97);
        instruments.put("SPACE_VOICE", 91);
        instruments.put("SQUARE", 80);
        instruments.put("STAR_THEME", 103);
        instruments.put("STEEL_DRUM", 114);
        instruments.put("STEEL_DRUMS", 114);
        instruments.put("STEEL_GUITAR", 25);
        instruments.put("STEELDRUM", 114);
        instruments.put("STEELDRUMS", 114);
        instruments.put("STR", 48);
        instruments.put("STREAM", 122);
        instruments.put("STRING_ENSEMBLE_1", 48);
        instruments.put("STRING_ENSEMBLE_2", 49);
        instruments.put("STRINGS", 48);
        instruments.put("SWEEP", 95);
        instruments.put("SWEEP_PAD", 95);
        instruments.put("SYN_CALLIOPE", 82);
        instruments.put("SYNTH_BASS", 38);
        instruments.put("SYNTH_BASS_1", 38);
        instruments.put("SYNTH_BASS_2", 39);
        instruments.put("SYNTH_BRASS", 62);
        instruments.put("SYNTH_BRASS_1", 62);
        instruments.put("SYNTH_BRASS_2", 63);
        instruments.put("SYNTH_CALLIOPE", 82);
        instruments.put("SYNTH_DRUM", 118);
        instruments.put("SYNTH_DRUMS", 118);
        instruments.put("SYNTH_STRINGS", 50);
        instruments.put("SYNTH_STRINGS_1", 50);
        instruments.put("SYNTH_STRINGS_2", 51);
        instruments.put("SYNVOX", 54);
        instruments.put("TAIKO", 116);
        instruments.put("TELEPHONE", 124);
        instruments.put("TENOR", 66);
        instruments.put("TENOR_SAX", 66);
        instruments.put("TENOR_SAXOPHONE", 66);
        instruments.put("THUMB_PIANO", 108);
        instruments.put("THUNDER", 122);
        instruments.put("TIMP", 47);
        instruments.put("TIMPANI", 47);
        instruments.put("TINKLE_BELL", 112);
        instruments.put("TOM", 119);
        instruments.put("TOM_TOM", 119);
        instruments.put("TOM_TOMS", 119);
        instruments.put("TOMS", 119);
        instruments.put("TREMOLO", 44);
        instruments.put("TREMOLO_STRINGS", 44);
        instruments.put("TROMBONE", 57);
        instruments.put("TRUMPET", 56);
        instruments.put("TUBA", 58);
        instruments.put("TUBULAR_BELL", 14);
        instruments.put("TUBULAR_BELLS", 14);
        instruments.put("VIBES", 11);
        instruments.put("VIBRAPHONE", 11);
        instruments.put("VIOLA", 41);
        instruments.put("VIOLIN", 40);
        instruments.put("VIOLIN_CELLO", 42);
        instruments.put("VOICE", 53);
        instruments.put("VOX", 54);
        instruments.put("WARM_PAD", 89);
        instruments.put("WHISTLE", 78);
        instruments.put("WIND", 122);
        instruments.put("WOODBLOCK", 115);
        instruments.put("WOODBLOCKS", 115);
        instruments.put("XYLOPHONE", 13);
    }
    
    public static final HashMap<String, Integer> drums;
    static
    {
        drums = new HashMap<>();
        drums.put("ACOUSTIC_BASS_DRUM", 35);
        drums.put("ACOUSTIC_SNARE", 38);
        drums.put("BASS_DRUM_1", 36);
        drums.put("CABASA", 69);
        drums.put("CHINESE_CYMBAL", 52);
        drums.put("CLAVES", 75);
        drums.put("CLOSED_HI_HAT", 42);
        drums.put("COWBELL", 56);
        drums.put("CRASH_CYMBAL_1", 49);
        drums.put("CRASH_CYMBAL_2", 57);
        drums.put("ELECTRIC_SNARE", 40);
        drums.put("HAND_CLAP", 39);
        drums.put("HI_BONGO", 60);
        drums.put("HI_MID_TOM", 48);
        drums.put("HI_WOOD_BLOCK", 76);
        drums.put("HIGH_AGOGO", 67);
        drums.put("HIGH_FLOOR_TOM", 43);
        drums.put("HIGH_TIMBALE", 65);
        drums.put("HIGH_TOM", 50);
        drums.put("LONG_GUIRO", 74);
        drums.put("LONG_WHISTLE", 72);
        drums.put("LOW_AGOGO", 68);
        drums.put("LOW_BONGO", 61);
        drums.put("LOW_CONGA", 64);
        drums.put("LOW_FLOOR_TOM", 41);
        drums.put("LOW_MID_TOM", 47);
        drums.put("LOW_TIMBALE", 66);
        drums.put("LOW_TOM", 45);
        drums.put("LOW_WOOD_BLOCK", 77);
        drums.put("MARACAS", 70);
        drums.put("METRONOME_CLICK", 33);
        drums.put("METRONOME_BELL", 34);
        drums.put("MUTE_CUICA", 78);
        drums.put("MUTE_HI_CONGA", 62);
        drums.put("MUTE_TRIANGLE", 80);
        drums.put("OPEN_CUICA", 79);
        drums.put("OPEN_HI_CONGA", 63);
        drums.put("OPEN_HI_HAT", 46);
        drums.put("OPEN_TRIANGLE", 81);
        drums.put("PEDAL_HI_HAT", 44);
        drums.put("RIDE_BELL", 53);
        drums.put("RIDE_CYMBAL_1", 51);
        drums.put("RIDE_CYMBAL_2", 59);
        drums.put("SHORT_GUIRO", 73);
        drums.put("SHORT_WHISTLE", 71);
        drums.put("SIDE_STICK", 37);
        drums.put("SPLASH_CYMBAL", 55);
        drums.put("TAMBOURINE", 54);
        drums.put("VIBRASLAP", 58);
    }
}
    
   